version: "2.1"

services:
  swh-lister:
    volumes:
      - "$HOME/swh-environment/swh-lister:/src/swh-lister"
  swh-loader:
    volumes:
      - "$HOME/swh-environment/swh-loader-core:/src/swh-loader-core"
  swh-storage-db:
    volumes:
      - "swh_storage_data:/var/lib/postgresql/data"
  swh-objstorage:
    volumes:
      - "swh_objstorage_data:/srv/softwareheritage/objects"

volumes:
  swh_storage_data:
  swh_objstorage_data:

